import PropTypes from 'prop-types';
import React from 'react';
export const MenuButton = ({ className = '', children, isActive, isDisabled, hint, hintPos = 'top', hintBreakWhiteSpace = true, onMouseDown, }) => {
    return (React.createElement("button", { type: "button", "data-bangle-balloon-break": hintBreakWhiteSpace, "aria-label": hint, "data-bangle-balloon-pos": hintPos, disabled: isDisabled, onMouseDown: onMouseDown, className: `bangle-menu-button ${isActive ? 'active' : ''} ${className}` }, children));
};
MenuButton.propTypes = {
    onMouseDown: PropTypes.func,
    children: PropTypes.oneOfType([
        PropTypes.string,
        PropTypes.element,
        PropTypes.arrayOf(PropTypes.element),
    ]).isRequired,
};
//# sourceMappingURL=Icon.js.map